org.eclipse.wst.jsdt.debug.core.model

## Interface IJavaScriptStackFrame

All Known Implementing Classes:
  StackFrame

    public interface IJavaScriptStackFrame

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IJavaScriptValue` `evaluate(java.lang.String expression)` Allows the given expression to be evaluated and returns the `Value` of the evaluation.
`java.lang.String` `getSource()` Returns the underlying source for the frame.
`java.lang.String` `getSourceName()` Returns the name of the source backing the stack frame.
`java.lang.String` `getSourcePath()` Returns the path to the source.
`IVariable` `getThisObject()` Returns the `IVariable` for the `this` object.

### Method Detail

#### evaluate

    IJavaScriptValue evaluate(java.lang.String expression)

Allows the given expression to be evaluated and returns the `Value` of the evaluation.
This method cannot return `null` and will return a value with `NullValue` instead.

Parameters:
  `expression` - the expression to evaluate, `null` is accepted and will cause a value backed by `NullValue` to be returned
Returns:
  the `IJavaScriptValue` from the evaluation never `null`

#### getSourceName

    java.lang.String getSourceName()

Returns the name of the source backing the stack frame.
This method can return `null`

Returns:
  the name of the source or `null`

#### getSourcePath

    java.lang.String getSourcePath()

Returns the path to the source.
This method can return `null`

Returns:
  the path to the source or `null`

#### getSource

    java.lang.String getSource()

Returns the underlying source for the frame.
This method can return `null` if the source cannot be acquired

Returns:
  the underlying source or `null`

#### getThisObject

    IVariable getThisObject()

Returns the `IVariable` for the `this` object.
This method can return `null`

Returns:
  the `this` `IVariable`